### Method

# Cogl FrameInfo get_presentation_time_us

#### Declaration [src]

    int64_t
    cogl_frame_info_get_presentation_time_us (
      CoglFrameInfo* info
    )

#### Description [src]

Gets the presentation time for the frame. This is the time at which the frame became visible to the user.

The presentation time measured in microseconds, is based on CLOCK_MONOTONIC.

Some buggy Mesa drivers up to 9.0.1 may incorrectly report non-monotonic timestamps.

#### Return value

Type: `int64_t`

The presentation time for the frame.